<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ): // FIXME: Remove workaround on 2016-02-16 ?>
  <link rel="shortcut icon" href="<?php echo esc_url( get_template_directory_uri() ); ?>/img/favicon.ico" />
<?php endif; ?>
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<!-- FIXME: Mehr ARIA role setzen -->
<body <?php body_class(); ?>>
  <div id="wrap"><!-- FIXME: Klassen hfeed, site? -->
    <header id="header" role="banner"><!-- FIXME: Klasse site-header? -->
      <hgroup id="branding">
        <h1 class="site-title">
          <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php _e( 'Zurück zur Startseite', 'buena-theme' ); ?>">
            <img alt="Bund der Pfadfinderinnen und Pfadfinder" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/bundeszeichen.png" srcset="<?php echo esc_url( get_template_directory_uri() ); ?>/img/bundeszeichen.png 1x, <?php echo esc_url( get_template_directory_uri() ); ?>/img/bundeszeichen@2x.png 2x" width="390" height="79" />
          </a>
        </h1>
        <h2 class="site-description">
          <?php echo esc_html( get_bloginfo( 'name', 'display' ) ); ?>
        </h2>
      </hgroup>
      <nav>
        <!-- FIXME: Tollere Navigation ausdenken -->
        <a href="#content" class="screen-reader-text"><?php _e( 'Zum Inhalt springen', 'buena-theme' ); ?></a>
        <button type="button" id="responsiveMenu" title="<?php esc_attr_e( 'Menü', 'buena-theme' ); ?>">
          <img alt="<?php esc_attr_e( 'Menü', 'buena-theme' ); ?>" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/hamburger.png" width="32" height="32" />
        </button>
      </nav>
      <?php do_action( 'buena_search_form' ); ?>
    </header>
    <div id="left">
      <?php wp_nav_menu( [ 'theme_location' => 'primary', 'depth' => 2, 'container' => 'nav', 'container_class' => 'nav-menu nav-menu-primary' ] ); ?>
      <?php if ( is_active_sidebar( 'below-navigation' ) ): ?>
        <ul class="widgets">
          <?php dynamic_sidebar( 'below-navigation' ); ?>
        </ul>
      <?php endif; ?>
    </div>
    <?php if ( $buenaTeaserImage = buena_get_theme()->getTeaserImage() ): ?>
      <header class="h h-box h-box-teaser">
        <?php echo $buenaTeaserImage; ?>
        <hgroup class="wrap">
          <h2><?php buena_get_theme()->printTitle(); ?></h2>
        </hgroup>
      </header>
    <?php else: ?>
      <header class="h">
        <h2><?php buena_get_theme()->printTitle(); ?></h2>
      </header>
    <?php endif; ?>
    <div id="main" role="main" class="container">
      <div id="content" class="content-<?php if ( is_singular() ): ?>singular<?php else: ?>gallery<?php endif; ?>">
        <?php if ( have_posts() ): ?>
          <?php while ( have_posts() ): the_post(); ?>
            <?php get_template_part( 'content', get_post_format() ); ?>
          <?php endwhile; ?>
        <?php else: // FIXME: Wenn berechtigt: Erstellen anbieten ?>
          <article id="post-0" class="post no-results not-found">
            <?php _e( 'Nicht gefunden.', 'buena-theme' ); ?>
          </article>
        <?php endif; ?>
      </div>
      <nav class="pagination">
        <div class="alignright"><?php next_posts_link( __( 'Ältere Beiträge »', 'buena-theme' ) ); ?></div>
        <div class="alignleft"><?php previous_posts_link( __( '« Neuere Beiträge', 'buena-theme' ) ); ?></div>
      </nav>
      <?php comments_template(); ?>
    </div>
  </div>
  <footer id="footer">
    <div class="wrapper media">
      <?php if ( is_active_sidebar( 'footer' ) || has_nav_menu( 'footer' ) ): ?>
      <header class="h">
          <?php echo esc_html( get_bloginfo( 'name', 'display' ) ?: 'Bund der Pfadfinderinnen und Pfadfinder e.V.' ); ?>
        </header>
        <?php wp_nav_menu( [ 'theme_location' => 'footer', 'container' => 'nav', 'container_class' => 'nav-menu nav-menu-footer alignleft', 'fallback_cb' => '' ] ); ?>
        <ul class="widgets bd">
          <?php dynamic_sidebar( 'footer' ); ?>
        </ul>
      <?php endif; ?>
    </div>
  </footer>
  <script>
+function() {
	document.getElementById('responsiveMenu').addEventListener('click', function() {
		document.body.classList.toggle('show-responsive-menu');
	});
}();
  </script>
<?php wp_footer(); ?>
</body>
</html>
